Subject: bug#30106: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'

From: Jean Louis <[email-masked]>
Date: Sun, 14 Jan 2018 20:47:48 +0300

Dear Eli,

I appreciate your efforts.

On Sun, Jan 14, 2018 at 06:08:48PM +0200, Eli Zaretskii wrote:
> > Date: Sun, 14 Jan 2018 09:36:03 +0300
> > From: Jean Louis <[email-masked]>
> > 
> > I cannot compile the development version so that
> > dynamic modules work.
> > 
> > When making: make test, I can see this error:
> > 
> >   GEN      src/editfns-tests.log
> >   ELC      src/emacs-module-tests.elc
> > 
> > In toplevel form:
> > src/emacs-module-tests.el:32:1:Error: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'
> > make[3]: *** [Makefile:146: src/emacs-module-tests.elc] Error 1
> > make[3]: Target 'src/emacs-module-tests.log' not
> > remade because of errors.
> 
> How did you configure and build Emacs?  What were the commands you
> used for that?
> 
> (FWIW, the emacs-module-tests test works for me with today's master
> branch.)

Here is how I did it:

./configure --prefix=/package/text/emacs-27.0.50/ --with-mailutils --without-imagemagick --without-pop --with-x-toolkit=lucid --with-modules

I really hope to find out what is wrong.

Jean
I